# 🔥 Firestore API

This package aims to provide a clean and efficient approach to dealing with data from Firestore. Once configured every class that extends the `FirestoreAPI` class will have easy access to the following:

- All default **CRUD** related operations
- **Search** options in fields and/or arrays
- Automatic (but optional) creation of **created/updated fields**
- Efficient **batching** system
- Extensive **logging**
- **Error handling**
- User **feedback messages**
- Instant **data converters** to your preferred models (optional)
- **Local ID** access (optional)

The entire package has extensive documentation. Reading the `FirestoreAPI` class from top to bottom (or at least the constructor part) will give you a good idea of the benefits of this package. Also, a good example project is next on the list to create and while doing that I will also update this readme with a lot more examples of the package functionality. For now I hope the package documentation will suffice. If you have any questions feel free to contact me through codaveto.com.
